
package de.ivu.elect.business.wahl.entity;

// Cf. https://support.elect-it.com/wiki/display/ELECT/Kopfzahlenkonfiguration!
public enum UmgangBWerte {

  NICHT_VORHANDEN {

    @Override
    public boolean isBWertBeiStimmeingabeZuErfassen() {
      return false;
    }
  },

  ERFASSEN {

    @Override
    public boolean isBWertBeiStimmeingabeZuErfassen() {
      return true;
    }
  };

  UmgangBWerte() {
  }

  public abstract boolean isBWertBeiStimmeingabeZuErfassen();

  public boolean isBWertBeiStimmeingabeAnzuzeigen() {
    return isBWertBeiStimmeingabeZuErfassen();
  }

  public boolean isBWertBeiStimmeingabeZuErfassenOderAnzuzeigen() {
    return isBWertBeiStimmeingabeZuErfassen() || isBWertBeiStimmeingabeAnzuzeigen();
  }
}
